%define fullgit 2747c961015ba00ec9a1cad8a8a95b4a34db9ee0
%define git 0
%define rel 1
%if %{git}
%define release %mkrel 0.%{git}.%rel
%else
%define release %mkrel %rel
%endif

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

# (cg) Lennart has introduced a circular dependancy in the libraries
# libpulse requires libpulsecommon but libpulsecommon requires libpulse.
# This breaks no-undefined.
# Further issues in some test apps (maybe more) require that disabling
# as-needed is also required.
%define _disable_ld_no_undefined 1
%global __requires_exclude devel\\(libpulsecommon

# Majors
%define major 0
%define zeroconfmajor 0
%define glib2major 0
%define apiver 10.0

# Library names
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname -d %{name}

%define glib2libname %mklibname pulseglib2 %{glib2major}

# API libs (not real shared libs - mostly private but needed by other libs and server)
%define corelibname %mklibname pulsecore %{apiver}
%define commonlibname %mklibname pulsecommon %{apiver}


Summary: Sound server for Linux
Name: pulseaudio
Version: 10.0
Release: %{release}
%if %{git}
Source0: %{name}-%{version}-%{fullgit}.tar.xz
%else
Source0: http://freedesktop.org/software/pulseaudio/releases/%{name}-%{version}.tar.xz
%endif
Source1: %{name}.sysconfig
Source2: %{name}.xinit
# (cg) We have to ship an esd.conf file with auto_spawn=0 to stop
# libesound from.... you guessed it... auto spawning.
Source3: esd.conf
Source4: %{name}.svg

# (cg) Using git to manage patches
# To recreate the structure
# git clone git://git.0pointer.de/pulseaudio
# git checkout v1.0
# git checkout -b mdv-1.x-cherry-picks
# git am 00*.patch
# git checkout -b mga-1.x-patches
# git am 05*.patch

# To apply new custom patches
# git checkout mga-1.x-patches
# (do stuff)

# To apply new cherry-picks
# git checkout mdv-1.x-cherry-picks
# git cherry-pick <blah>
# git checkout mga-1.x-patches
# git rebase mdv-1.x-cherry-picks

# Stable Branch Patches
# git format-patch --start-number 100 v1.0..stable-1.x

# Mageia Patches
# git format-patch --start-number 500 table-1.x..mga-1.x-patches
Patch500: 0500-Some-customisations-to-esdcompat-in-order-to-adhere-.patch
Patch501: 0501-launch-Customise-systemd-socket-for-Mageia-sound-pro.patch
Patch502: 0502-Revert-Revert-launch-Disable-autospawn-by-default-wh.patch

# AirPlay2/RAOP2 Patches
# See http://hfujita.github.io/pulseaudio-raop2/
# Patchset rebased on v6.0 in https://github.com/blino/pulseaudio-raop2/tree/blino/raop2-v2-v6.0
# Patches on pulsecore, generated this way:
#   i=600; for r in $(git rev-list v6.0.. src/pulsecore/); do : $((i=i+1)); git format-patch --start-number=$i $r -1; done
#Patch601: 0601-raop-Add-pulsecore-core-utils-a-pa_str_in_list-funct.patch
#Patch602: 0602-Support-IPv6-address-in-pa_socket_client_new_string.patch
#Patch603: 0603-parseaddr-Add-new-call-pa_is_ip6_address.patch
# RTP patch, generated this way:
#   git diff v6.0.. -- src/modules/rtp/
#Patch604: 0604-raop2-modules-rtp.patch
# RAOP patch, generated this way:
#   git diff v6.0.. -- src/Makefile.am src/modules/raop/
#Patch605: 0605-raop2-modules-raop.patch

# Airtunes links to OpenSSL which is BSD-like and should be reflected here
License: LGPL and BSD-like
Group: Sound/Mixers
Url: http://pulseaudio.org/
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(avahi-client)
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: libwrap-devel
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(x11-xcb)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(bash-completion)
BuildRequires: pkgconfig(libudev)
#gw libtool dep:
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: doxygen
BuildRequires: automake1.8
BuildRequires: libltdl-devel
BuildRequires: pkgconfig(atomic_ops)
BuildRequires: gettext-devel
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(liblircclient0)
%if !%bootstrap
BuildRequires: pkgconfig(bluez)
%endif
BuildRequires: pkgconfig(tdb)
BuildRequires: pkgconfig(speex)
# (cg) Needed for airtunes
BuildRequires: pkgconfig(libssl)
BuildRequires: pkgconfig(polkit-agent-1)
BuildRequires: pkgconfig(libasyncns)
BuildRequires: intltool
BuildRequires: imagemagick
BuildRequires: pkgconfig(json-c)
BuildRequires: pkgconfig(orc-0.4)
BuildRequires: pkgconfig(fftw3)
%ifarch %{ix86} x86_64
BuildRequires: xen-devel
%endif
BuildRequires: pkgconfig(webrtc-audio-processing)
BuildRequires: pkgconfig(sbc)

Provides: polypaudio
Obsoletes: polypaudio
# (cg) This is for the backport of 0.9.7 to 2008
#      pulseaudio fails when using older versions of libtool
Requires: libltdl >= 1.5.24
# (cg) Just incase people backport, require specific udev
Requires: udev >= 143
Requires: rtkit
Requires(post): ccp
# (cg) When upgrading from pa < 0.9.7-1 things break due to spec restructure
Conflicts: %{libname} < 0.9.7-2

%description
Pulseaudio is a sound server for Linux and other Unix like operating
systems.

Pulseaudio makes possible to:
     * transfer audio to a different machine
     * change the sample format or channel count and mixing several
       sounds into one
     * combine multiple sound cards to one (with sample rate adjustment)
     * simple command line interface for reconfiguring the daemon while
       running

Pulseaudio provides:
     * better low latency behaviour
     * support for more than one sink/source
     * an extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * a completely asynchronous C API
     * flexible, implicit sample type conversion and resampling
     * "zero-copy" architecture
     * module autoloading
     * very accurate latency measurement for playback and recording.
     * client side latency interpolation
     * C library to enable embedding into other software

%post
ccp -i -d --set NoOrphans --oldfile %{_sysconfdir}/pulse/daemon.conf --newfile %{_sysconfdir}/pulse/daemon.conf.rpmnew
# (cg) For upgrade between 1.x -> 2.x
if grep -q module-cork-music-on-phone %{_sysconfdir}/pulse/default.pa; then
  sed -i 's/module-cork-music-on-phone/module-role-cork/' %{_sysconfdir}/pulse/default.pa
fi


%package -n %{libname}
Summary: Libraries for PulseAudio clients
Group: System/Libraries
Requires: %{name}-client-config
Recommends: %{mklibname alsa-plugins}-pulseaudio
%ifarch x86_64
# (cg) Suggest the 32 bit library on 64 bits to ensure compatibility
#      with (typically closed source) 32 bit apps.
Recommends: lib%{name}%{major}
%endif
# (cg) Deprecated in PA 1.0 - Make upgrade smoother :)
Obsoletes: %mklibname pulsezeroconf 0

%description -n %{libname}
This package contains the runtime libraries for any application that wishes
to interface with a PulseAudio sound server.

%package -n %{corelibname}
Summary: Core Library for PulseAudio
Group: System/Libraries
Obsoletes: %mklibname pulsezeroconf 0

%description -n %{corelibname}
This package contains a library needed by the PulseAudio sound server and modules.

%package -n %{commonlibname}
Summary: Common Library for PulseAudio
Group: System/Libraries

%description -n %{commonlibname}
This package contains a library needed by the PulseAudio sound server, modules and
clients.


%define alt_name soundprofile
%define alt_priority 20

%package client-config
Summary: Client configuration for PulseAudio clients
Group: System/Libraries
# (eatdirt) Otherwise may trigger bug 2966
Requires: alsa-plugins-pulse-config
Requires(post): ccp
Requires(post): update-alternatives
Requires(postun): update-alternatives
Conflicts: %{name} < 0.9.16-0.20090816.1
# (cg) Adding the obsoletes here as this package is almost always installed
#      and doing it in task-pulseaudio would cause it to be installed when not needed.
# Flash plugin support pulse natively and libflashsupport now causes more
# problems than it fixes
Obsoletes: libflashsupport

%description client-config
This package contains the client configuration files for any application that wishes
to interface with a PulseAudio sound server.


%post client-config
%{_sbindir}/update-alternatives \
  --install %{_sysconfdir}/sound/profiles/current %{alt_name} %{_sysconfdir}/sound/profiles/pulse %{alt_priority}
ccp -i -d --set NoOrphans --oldfile %{_sysconfdir}/pulse/client.conf --newfile %{_sysconfdir}/pulse/client.conf.rpmnew

%postun client-config
if [ ! -f %{_sysconfdir}/sound/profiles/pulse/profile.conf ]; then
  /usr/sbin/update-alternatives --remove %{alt_name} %{_sysconfdir}/sound/profiles/pulse
fi

%triggerin client-config -- %{name}-client-config < 5.0-5
# Autospawn behaviour changed to use systemd, so tidy up the client.conf
# by setting it back to the default value - it no longer changes depending on
# the users soundprofile choice - it always defaults to no.
sed -i 's/^\(\s*\)\;\?\s*\(autospawn\s*=\s*\).*/\1\; \2no/' %{_sysconfdir}/pulse/client.conf

%package -n %{glib2libname}
Summary:  GLIB 2.x bindings for PulseAudio clients
Group:    System/Libraries

%description -n %{glib2libname}
This package contains bindings to integrate the PulseAudio client library with
a GLIB 2.x based application.


%package -n %{libname_devel}
Summary: Headers and libraries for PulseAudio client development
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{glib2libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{name} %{major}

%description -n %{libname_devel}
Headers and libraries for developing applications that can communicate with
a PulseAudio sound server.


%package esound-compat
Summary:   PulseAudio EsounD daemon compatibility script
Group:     Sound/Mixers
Requires:  %{name} = %{version}-%{release}
Provides:  esound
Obsoletes: esound < 0.2.38-5mdv
Conflicts: esound-daemon
Obsoletes: esound-daemon

%description esound-compat
A compatibility script that allows applications to call /usr/bin/esd
and start PulseAudio with EsounD protocol modules.


%package module-lirc
Summary:   LIRC support for the PulseAudio sound server
Group:     Sound/Mixers
Requires:  %{name} = %{version}-%{release}

%description module-lirc
LIRC volume control module for the PulseAudio sound server.

%if !%bootstrap
%package module-bluetooth
Summary:   Bluetooth support for the PulseAudio sound server
Group:     Sound/Mixers
Requires:  %{name} = %{version}-%{release}

%description module-bluetooth
Bluetooth modules for the PulseAudio sound server to provide support
for headsets and proximity detection.
%endif

%package module-x11
Summary:   X11 support for the PulseAudio sound server
Group:     Sound/Mixers
Requires:  %{name} = %{version}-%{release}
Requires:  %{name}-utils = %{version}-%{release}

%description module-x11
X11 bell and security modules for the PulseAudio sound server.

%package module-zeroconf
Summary:   Zeroconf support for the PulseAudio sound server
Group:     Sound/Mixers
Requires:  %{name} = %{version}-%{release}

%description module-zeroconf
Zeroconf publishing module for the PulseAudio sound server.

%package module-jack
Summary:   JACK support for the PulseAudio sound server
Group:     Sound/Mixers
Requires:  %{name} = %{version}-%{release}

%description module-jack
JACK sink and source modules for the PulseAudio sound server.

%package module-gconf
Summary:   GConf support for the PulseAudio sound server
Group:     Sound/Mixers
Requires:  %{name} = %{version}-%{release}

%description module-gconf
GConf configuration backend for the PulseAudio sound server.

%package module-equalizer
Summary:   Equalizer support for the PulseAudio sound server
Group:     Sound/Mixers
Requires:  %{name} = %{version}-%{release}
Requires:  python-qt4-core
Requires:  python-qt4-gui
Requires:  python-dbus

%description module-equalizer
Equalizer support and GUI for the PulseAudio sound server.

%ifarch %{ix86} x86_64
%package module-xen
Summary:   Xen guest support for the PulseAudio sound server
Group:     Sound/Mixers
Requires:  %{name} = %{version}-%{release}

%description module-xen
Xen guest support for the PulseAudio sound server.
%endif

%package utils
Summary:  PulseAudio sound server utilities
Group:    Sound/Utilities

%description utils
This package contains command line utilities for the PulseAudio sound server.




%prep
%if %{git}
%setup -q -n %{name}-%{version}-%{fullgit}
%else
%setup -q
%endif

%autopatch -p1

# (cg) If autoconf is retriggered (which can happen automatically) we need this file.
cat >git-version-gen <<EOF
#!/bin/bash
echo -n %{version}.0-%{release}
EOF
chmod a+x git-version-gen

#%%if %%{git}
echo "clean:" > Makefile
./bootstrap.sh -V
#%%endif

%build
%configure2_5x \
%ifarch %arm
  --disable-neon-opt \
%endif
%if !%bootstrap
  --enable-bluez5 \
%endif
  --disable-bluez4


%make_build
make doxygen

%install
%make_install

install -D -m 0644 %{_sourcedir}/%{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m 0755 %{_sourcedir}/%{name}.xinit %{buildroot}%{_sysconfdir}/X11/xinit.d/50%{name}
install -D -m 0755 %{_sourcedir}/esd.conf %{buildroot}%{_sysconfdir}/

install -D -m 0644 %{_sourcedir}/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/devices
ln -s ../apps/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/devices/audio-backend-pulseaudio.svg
for size in 16 22 32 48 64 128; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/{apps,devices}
  convert -geometry ${size}x${size} %{_sourcedir}/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
  ln -s ../apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/devices/audio-backend-pulseaudio.png
done

# Remove static and metalink libraries
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;

# Fix esd
ln -s esdcompat %{buildroot}%{_bindir}/esd

# (cg) For sound profile support
mkdir -p %{buildroot}%{_sysconfdir}/sound/profiles/pulse
echo "SOUNDPROFILE=pulse" >%{buildroot}%{_sysconfdir}/sound/profiles/pulse/profile.conf
# (cg) Use this file as a trigger for enabling the pulseaudio.socket systemd user unit
touch %{buildroot}%{_sysconfdir}/sound/profiles/pulse/pulse

# (cg) HAL support is no longer the default, and we don't officially support system wide, so
# System Wide + HAL is pretty unlikely.
rm -f %{buildroot}%{_sysconfdir}/dbus-1/system.d/%{name}-system.conf

# (cg) We require systemd now, so no point in using CK
rm -f %{buildroot}%{_libdir}/pulse-%{apiver}/modules/module-console-kit.so

# (cg) Disable x11-cork-request... it should be ahndled in the apps as we cannot
#      maintain state via this mechanism. Should be a patch, but I'm lazy.
sed -i 's,\(/usr/bin/pactl load-module module-x11-cork-request\),#\1,' %{buildroot}%{_bindir}/start-pulseaudio-x11

install -d -m 0755 %{buildroot}%{_userunitdir}/sockets.target.wants
ln -s ../%{name}.socket %{buildroot}%{_userunitdir}/sockets.target.wants/


%find_lang %{name}

%files -f %{name}.lang
%doc README
%dir %{_sysconfdir}/pulse
%config(noreplace) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %{_sysconfdir}/pulse/system.pa
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man5/pulse-client.conf.5.*
%{_mandir}/man5/pulse-daemon.conf.5.*
%{_mandir}/man5/default.pa.5.*
%{_mandir}/man5/pulse-cli-syntax.5.*
%{_datadir}/icons/hicolor/*/*/*
%{_userunitdir}/%{name}.service
%{_userunitdir}/%{name}.socket
%{_userunitdir}/sockets.target.wants/%{name}.socket
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/alsa-mixer
/lib/udev/rules.d/90-pulseaudio.rules
%dir %{_libdir}/pulse-%{apiver}
%dir %{_libdir}/pulse-%{apiver}/modules
%{_libdir}/pulse-%{apiver}/modules/libalsa-util.so
%{_libdir}/pulse-%{apiver}/modules/libcli.so
%{_libdir}/pulse-%{apiver}/modules/liboss-util.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-cli.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-esound.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-http.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-native.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-simple.so
%{_libdir}/pulse-%{apiver}/modules/libraop.so
%{_libdir}/pulse-%{apiver}/modules/librtp.so
%{_libdir}/pulse-%{apiver}/modules/libwebrtc-util.so
%{_libdir}/pulse-%{apiver}/modules/module-allow-passthrough.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-card.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-source.so
%{_libdir}/pulse-%{apiver}/modules/module-always-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-augment-properties.so
%{_libdir}/pulse-%{apiver}/modules/module-card-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-cli-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-cli-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-cli.so
%{_libdir}/pulse-%{apiver}/modules/module-combine.so
%{_libdir}/pulse-%{apiver}/modules/module-combine-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-role-cork.so
%{_libdir}/pulse-%{apiver}/modules/module-systemd-login.so
%{_libdir}/pulse-%{apiver}/modules/module-dbus-protocol.so
%{_libdir}/pulse-%{apiver}/modules/module-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-device-manager.so
%{_libdir}/pulse-%{apiver}/modules/module-device-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-echo-cancel.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-compat-spawnfd.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-compat-spawnpid.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-hal-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-http-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-http-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-intended-roles.so
%{_libdir}/pulse-%{apiver}/modules/module-loopback.so
%{_libdir}/pulse-%{apiver}/modules/module-match.so
%{_libdir}/pulse-%{apiver}/modules/module-mmkbd-evdev.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-fd.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-null-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-null-source.so
%{_libdir}/pulse-%{apiver}/modules/module-oss.so
%{_libdir}/pulse-%{apiver}/modules/module-pipe-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-pipe-source.so
%{_libdir}/pulse-%{apiver}/modules/module-raop-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-rygel-media-server.so
%{_libdir}/pulse-%{apiver}/modules/module-position-event-sounds.so
%{_libdir}/pulse-%{apiver}/modules/module-rescue-streams.so
%{_libdir}/pulse-%{apiver}/modules/module-rtp-recv.so
%{_libdir}/pulse-%{apiver}/modules/module-rtp-send.so
%{_libdir}/pulse-%{apiver}/modules/module-simple-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-simple-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-sine.so
%{_libdir}/pulse-%{apiver}/modules/module-sine-source.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-source.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-sink-new.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-source-new.so
%{_libdir}/pulse-%{apiver}/modules/module-udev-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-volume-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-virtual-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-virtual-source.so
%{_libdir}/pulse-%{apiver}/modules/module-stream-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-suspend-on-idle.so
%{_libdir}/pulse-%{apiver}/modules/module-default-device-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-ladspa-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-remap-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-remap-source.so
%{_libdir}/pulse-%{apiver}/modules/module-switch-on-connect.so
%{_libdir}/pulse-%{apiver}/modules/module-filter-apply.so
%{_libdir}/pulse-%{apiver}/modules/module-filter-heuristics.so
%{_libdir}/pulse-%{apiver}/modules/module-virtual-surround-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-switch-on-port-available.so
%{_libdir}/pulse-%{apiver}/modules/module-role-ducking.so


%files -n %{libname}
%{_libdir}/libpulse.so.%{major}
%{_libdir}/libpulse.so.%{major}.*
%{_libdir}/libpulse-simple.so.%{major}
%{_libdir}/libpulse-simple.so.%{major}.*
%dir %{_libdir}/%{name}
# (cg) Although the following is not a shared library, putting this file here
# will allow padsp to work on dual arch machines... (e.g. using padsp to start
# a 32-bit app).
%{_libdir}/%{name}/libpulsedsp.so

%files -n %{corelibname}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libpulsecore-%{apiver}.so

%files -n %{commonlibname}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libpulsecommon-%{apiver}.so

%files client-config
%dir %{_sysconfdir}/pulse
%config(noreplace) %{_sysconfdir}/pulse/client.conf
%dir %{_sysconfdir}/sound/profiles/pulse
%{_sysconfdir}/sound/profiles/pulse/profile.conf
%{_sysconfdir}/sound/profiles/pulse/pulse


%files -n %{glib2libname}
%{_libdir}/libpulse-mainloop-glib.so.%{glib2major}
%{_libdir}/libpulse-mainloop-glib.so.%{glib2major}.*

%files -n %{libname_devel}
%doc doxygen/html
%{_libdir}/libpulse.so
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.so
%dir %{_includedir}/pulse
%{_includedir}/pulse/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/PulseAudio
%{_datadir}/vala/vapi/libpulse.deps
%{_datadir}/vala/vapi/libpulse.vapi
%{_datadir}/vala/vapi/libpulse-mainloop-glib.deps
%{_datadir}/vala/vapi/libpulse-mainloop-glib.vapi
%{_datadir}/vala/vapi/libpulse-simple.deps
%{_datadir}/vala/vapi/libpulse-simple.vapi


%files esound-compat
%config(noreplace) %{_sysconfdir}/esd.conf
%{_bindir}/esdcompat
%{_bindir}/esd
%{_mandir}/man1/esdcompat.1.*

%if !%bootstrap
%files module-bluetooth
%{_libdir}/pulse-%{apiver}/modules/libbluez5-util.so
%{_libdir}/pulse-%{apiver}/modules/module-bluetooth-discover.so
%{_libdir}/pulse-%{apiver}/modules/module-bluetooth-policy.so
%{_libdir}/pulse-%{apiver}/modules/module-bluez5-device.so
%{_libdir}/pulse-%{apiver}/modules/module-bluez5-discover.so
%endif


%files module-lirc
%{_libdir}/pulse-%{apiver}/modules/module-lirc.so

%files module-x11
%{_sysconfdir}/X11/xinit.d/50%{name}
%{_bindir}/pax11publish
%{_bindir}/start-pulseaudio-x11
%{_mandir}/man1/pax11publish.1.*
%{_mandir}/man1/start-pulseaudio-x11.1.*
%{_libdir}/pulse-%{apiver}/modules/module-x11-bell.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-cork-request.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-publish.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-xsmp.so
%{_sysconfdir}/xdg/autostart/pulseaudio.desktop

%files module-zeroconf
%{_libdir}/pulse-%{apiver}/modules/libavahi-wrap.so
%{_libdir}/pulse-%{apiver}/modules/module-zeroconf-discover.so
%{_libdir}/pulse-%{apiver}/modules/module-zeroconf-publish.so
%{_libdir}/pulse-%{apiver}/modules/module-raop-discover.so

%files module-jack
%{_libdir}/pulse-%{apiver}/modules/module-jack-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-jack-source.so
%{_libdir}/pulse-%{apiver}/modules/module-jackdbus-detect.so

%files module-gconf
%{_libdir}/pulse-%{apiver}/modules/module-gconf.so
%dir %{_libexecdir}/pulse/
%{_libexecdir}/pulse/gconf-helper

%files module-equalizer
%{_bindir}/qpaeq
%{_libdir}/pulse-%{apiver}/modules/module-equalizer-sink.so

%ifarch %{ix86} x86_64
%files module-xen
#%{_libdir}/pulse-%{apiver}/modules/module-xenpv-sink.so
%endif

%files utils
%{_datadir}/bash-completion/completions/*
%{_datadir}/zsh/site-functions/_pulseaudio
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/padsp
%{_bindir}/pamon
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/parecord
%{_bindir}/pasuspender
%{_mandir}/man1/pacat.1.*
%{_mandir}/man1/pacmd.1.*
%{_mandir}/man1/pactl.1.*
%{_mandir}/man1/padsp.1.*
%{_mandir}/man1/pamon.1.*
%{_mandir}/man1/paplay.1.*
%{_mandir}/man1/parec.1.*
%{_mandir}/man1/parecord.1.*
%{_mandir}/man1/pasuspender.1.*


%changelog
* Tue Feb 28 2017 ghibo <ghibo> 10.0-1.mga6
+ Revision: 1088196
- New release: 10.0.
- Disable RAOP2 patches for now as not merging correctly.

  + ovitters <ovitters>
    - remove esd from description

  + tv <tv>
    - greatly simplify patch 500

* Wed Dec 21 2016 ghibo <ghibo> 9.0-5.mga6
+ Revision: 1076255
- Remove icewm from XDG session list (spotted by Olaf Vitters).

* Wed Dec 21 2016 ghibo <ghibo> 9.0-4.mga6
+ Revision: 1076241
- Fix pulseaudio.xinit because the $SESSION env var, when called from sddm
  contains the Exec argument of the .desktop file, and thus fails the check against
  the previous generic session names like "KDE", "GNOME", etc.; add further
  sessions check names for the case of desktop where xdg autostart already
  starts pulseaudio correctly and automatically.
- pulseaudio.xinit: add an extra check on pulseaudio pid (for when it's not started from xdg
  autostart) and for when, sometimes, start-pulseaudio-x11 fails.
- pulseaudio.xinit: execute the /etc/sysconfig/pulseaudio config file that already exists.

* Wed Sep 21 2016 daviddavid <daviddavid> 9.0-3.mga6
+ Revision: 1054837
- add missing dependencies for module-equalizer subpackage (mga#19429)

* Fri Aug 26 2016 pterjan <pterjan> 9.0-2.mga6
+ Revision: 1049000
- Fix file list on arm

* Wed Aug 24 2016 luigiwalser <luigiwalser> 9.0-1.mga6
+ Revision: 1048260
- 9.0

* Thu May 12 2016 tv <tv> 8.0-5.mga6
+ Revision: 1014235
- adjust file list on ARM

* Thu May 12 2016 luigiwalser <luigiwalser> 8.0-4.mga6
+ Revision: 1013925
- use upstream patch to fix build with webrtc-audio-processing 0.2
- rebuild for webrtc-audio-processing

* Sun Apr 03 2016 tv <tv> 8.0-3.mga6
+ Revision: 997799
- rebuild for new xen

* Sat Mar 19 2016 luigiwalser <luigiwalser> 8.0-2.mga6
+ Revision: 993021
- fix patch 605

* Thu Feb 11 2016 colin <colin> 8.0-1.mga6
+ Revision: 955534
- Fix release

* Thu Feb 11 2016 colin <colin> 8.0-0.1.mga6
+ Revision: 954401
- New version: 8.0

  + tv <tv>
    - drop support for ia64
    - switch to pkgconfig() BRs

* Thu Sep 24 2015 colin <colin> 7.0-1.mga6
+ Revision: 883009
- New version: 7.0

* Wed Sep 16 2015 blino <blino> 6.0-2.mga6
+ Revision: 879876
- add Apple AirPlay2/RAOP2 support (patches from pulseaudio-raop2 project)

* Wed Jul 08 2015 colin <colin> 6.0-1.mga6
+ Revision: 852733
- New version: 6.0

* Tue Feb 03 2015 akien <akien> 5.0-6.mga5
+ Revision: 813309
- Rebuild for new xen

* Sun Oct 19 2014 colin <colin> 5.0-5.mga5
+ Revision: 791791
- Switch to systemd for launching PA via socket activation (hopefully solve some login delays)

* Wed Oct 15 2014 umeabot <umeabot> 5.0-4.mga5
+ Revision: 749712
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.0-3.mga5
+ Revision: 687834
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

* Wed Sep 03 2014 joequant <joequant> 5.0-2.mga5
+ Revision: 671640
- rebuild with new systemd

* Sun Jul 06 2014 fwang <fwang> 5.0-1.mga5
+ Revision: 650149
- 5.0 final

* Thu Jan 09 2014 colin <colin> 5.0-0.20131220.2.mga4
+ Revision: 565776
+ rebuild (emptylog)

* Fri Dec 20 2013 colin <colin> 5.0-0.20131220.1.mga4
+ Revision: 559066
- Update snapshot

* Tue Oct 22 2013 umeabot <umeabot> 5.0-0.20131010.3.mga4
+ Revision: 545576
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 colin <colin> 5.0-0.20131010.2.mga4
+ Revision: 501426
- Add latest upstream fixes

* Fri Oct 11 2013 colin <colin> 5.0-0.20131010.1.mga4
+ Revision: 495244
- Switch to PA 5.0 git for bluez 5 support
- Drop speex-fixed-0 resampler patch - upstream now uses speex-fixed-1

* Sun Jul 14 2013 boklm <boklm> 4.0-2.mga4
+ Revision: 454276
- Add pulseaudio-utils as require on pulseaudio-module-x11
  (pactl is needed by start-pulseaudio-x11)

* Tue Jun 04 2013 colin <colin> 4.0-1.mga4
+ Revision: 437157
- Remove the --disable-hal option - it's gone.
- Switch to pkgconfig requires for X11 stuff
- New version: 4.0
- Drop cherry-picked patches
- Drop json-c name patch (fixed also upstream)

* Sun Jan 13 2013 umeabot <umeabot> 3.0-7.mga3
+ Revision: 378310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 colin <colin> 3.0-6.mga3
+ Revision: 344640
- Rebuild for new xen

* Thu Jan 03 2013 neoclust <neoclust> 3.0-5.mga3
+ Revision: 338056
- Fix file list after libexec changes

* Thu Dec 27 2012 rtp <rtp> 3.0-4.mga3
+ Revision: 335678
- disable neon on arm as the targets don't have neon

* Thu Dec 20 2012 oden <oden> 3.0-3.mga3
+ Revision: 333448
- fix build
- rebuilt for new json-c libs

* Wed Dec 19 2012 colin <colin> 3.0-2.mga3
+ Revision: 332798
- Fix speaker+headphone ports on some h/w.
- Drop an unneeded patch now that kernel supports Phantom Jacks.

* Tue Dec 18 2012 colin <colin> 3.0-1.mga3
+ Revision: 332499
- New version: 3.0

* Thu Dec 13 2012 colin <colin> 2.99.3-1.mga3
+ Revision: 330111
- New version: 2.99.3 (3.0 RC)

* Tue Oct 16 2012 colin <colin> 2.1-6.mga3
+ Revision: 307279
- Enable webrtc echo canceller

* Wed Oct 10 2012 rtp <rtp> 2.1-5.mga3
+ Revision: 304289
- Enable Xen module only on arches with Xen support

* Thu Sep 27 2012 colin <colin> 2.1-4.mga3
+ Revision: 298651
- Fix RPM Groups (might need refinement)
- Remove patch that is no longer needed with latest systemd.

* Wed Sep 05 2012 colin <colin> 2.1-3.mga3
+ Revision: 288289
- Allow idle exit when all user sessions are closing (avoids session deadlock)

* Fri Aug 24 2012 colin <colin> 2.1-2.mga3
+ Revision: 283680
- Switch to systemd-logind for session management (goodbye console-kit)

* Tue Jul 24 2012 colin <colin> 2.1-1.mga3
+ Revision: 274077
- New version: 2.1

* Sat Jul 07 2012 kamil <kamil> 2.0-5.mga3
+ Revision: 268617
- rebuild against new libatomic_opt

* Sat Jun 30 2012 colin <colin> 2.0-4.mga3
+ Revision: 265465
- Cherry pick patch for compatibility with latest udev

* Fri Jun 29 2012 colin <colin> 2.0-3.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Sat Jun 23 2012 wally <wally> 2.0-2.mga3
+ Revision: 262754
- don't own icons directories

* Sat May 12 2012 colin <colin> 2.0-1.mga2
+ Revision: 235384
- New version: 2.0

* Wed Mar 28 2012 colin <colin> 1.99.2-1.mga2
+ Revision: 227360
- New version: 1.99.2 (2.0 RC2)

* Mon Mar 12 2012 colin <colin> 1.98-0.275.1.mga2
+ Revision: 223043
- New version: 1.98 (2.0 pre-release)
- Split common and core libs to separate packages
- Add -xen subpackage for xen paravirtualized audio support.
- Remove obsolete obsoletes (pre mdv2010.2)
- Obsolete pulsezeroconf lib for smoother upgrade

* Sat Dec 10 2011 eatdirt <eatdirt> 1.1-3.mga2
+ Revision: 180456
- Rebuilt for fftw-3.3

* Mon Nov 28 2011 colin <colin> 1.1-2.mga2
+ Revision: 173851
- Own the version-specifi API libdir to allow for less cluttered upgrades

  + eatdirt <eatdirt>
    - client-config now requires alsa-plugins-pulse-config (#bug 2966)

* Thu Oct 20 2011 colin <colin> 1.1-1.mga2
+ Revision: 156876
- New version: 1.1

* Fri Oct 14 2011 colin <colin> 1.0-2.mga2
+ Revision: 155080
- Update to the latest upstream stable-1.x branch

* Tue Sep 27 2011 colin <colin> 1.0-1.mga2
+ Revision: 149319
- New version: 1.0

* Thu Sep 15 2011 colin <colin> 0.99.4-1.mga2
+ Revision: 143995
- New version: 0.99.4 (RC4)

* Sun Sep 04 2011 colin <colin> 0.99.3-2.mga2
+ Revision: 138389
- Apply various upstream fixes

* Mon Aug 29 2011 colin <colin> 0.99.3-1.mga2
+ Revision: 136181
- New version: 0.99.3 (RC3)
- Update to PulseAudio 0.99.2 (1.0 test 2)
- Some more upstream fixes
- Add a few upstream fixes
- Add more BR that I missed
- Add BR for libjson-devel
- Update to PulseAudio 0.99.1 (1.0 test 1)

* Thu Jun 23 2011 colin <colin> 0.9.23-1.mga2
+ Revision: 112863
- New version: 0.9.23

* Sun Apr 24 2011 colin <colin> 0.9.22-5.mga1
+ Revision: 90166
- Update to latest stable-queue (soon to be 0.9.23)

* Fri Feb 25 2011 colin <colin> 0.9.22-4.mga1
+ Revision: 59475
- Latest upstream patches relating to combine, rtp and loopback module timing improvements

* Mon Feb 14 2011 colin <colin> 0.9.22-3.mga1
+ Revision: 51778
- Disable bootstrapping - we're good to go now
- Add the latest upstream stable-queue patches.
- imported package pulseaudio

  + rtp <rtp>
    - disable armv6-only asm on armv5te (backport from upstream git)

  + blino <blino>
    - jack has been moved out of bootstrap, enable sub-package

  + dmorgan <dmorgan>
    - Remove libjack-devel and lirc-devel from the bootstrap
    - add lirc-devel in the boostrap
    - add libjack-devel in the boostrap
    - Remove mdv macros
      Bootstrap PA

